Class | Fog::Compute::AWS::SpotRequest
In: | lib/fog/aws/models/compute/spot_request.rb
Parent: | Fog::Model

### Methods

destroy key_pair key_pair= new private_key private_key_path public_key public_key_path ready? save

### Attributes

private_key | [W] |
private_key_path | [W] |
public_key | [W] |
public_key_path | [W] |
username | [W] |

### Public Class methods

new(attributes={})

### Public Instance methods

destroy()
key_pair()
key_pair=(new_keypair)
private_key()
private_key_path()
public_key()
public_key_path()
ready?()
save()

[Validate]